#catalog-product {
    padding-top: 20px;
    padding-bottom: 40px;
}

#catalog-product h1 {
    font-size: 30px;
    font-weight: 500;
}

.catalog-flex {
    display: flex;
    padding-top: 30px;
}

.catalog-flex .col-image {
    width: 50%;
}

.catalog-flex .col-image .image img {
    max-width: 95%;
    max-height: 455px;
    height: auto;
}

.catalog-flex .col-image .first_type_images,
.catalog-flex .col-image .second_type_images {
    float: none;
    display: inline-block;
}

.catalog-flex .col-text {
    width: 50%;
}

.catalog-flex .col-text .description {
    font-size: 16px;
}

.catalog-flex .col-text .description li {
    margin-bottom: 15px;
}

.catalog-flex .col-text .ask-price {
    padding-top: 100px;
}

.catalog-flex .col-image {
    width: 30%;
}

.catalog-flex .col-text {
    width: 36.6%;
    padding-right: 20px;
}

.catalog-flex .col-ask-price {
    width: 33.3%;
    border-left: 1px solid #f5f5f5;
}

.catalog-flex .col-text .ask-price .download-link {
    padding-top: 15px;
    padding-bottom: 15px;
    margin-left: 10px;
    padding-left: 20px;
    padding-right: 20px;
}

@media screen and (max-width: 1149px) and (min-width: 640px) {
    .catalog-flex {
        flex-direction: column;
    }
    .catalog-flex .col-image {
        width: 100%;
    }
    .catalog-flex .col-text {
        width: 100%;
    }

    #catalog-product {
        padding: 20px 5px;
    }

    .catalog-flex .col-image .image img {
        max-width: 320px;
        max-height: 320px;
    }

    .catalog-flex .col-image .image {
        text-align: center;
        width: 100%;
        margin: 20px auto;
    }

    .catalog-flex .col-text .description {
        margin-top: 20px;
    }

    .catalog-flex .col-text .ask-price {
        padding-top: 30px;
    }

    .catalog-flex .first_type_images, .catalog-flex .second_type_images {
        margin: 0 auto  ;
    }
}

@media screen and (max-width: 639px) {
    .catalog-flex {
        flex-direction: column;
    }
    .catalog-flex .col-image {
        width: 100%;
    }
    .catalog-flex .col-text {
        width: 100%;
    }

    #catalog-product {
        padding: 20px 5px;
    }

    .catalog-flex .col-image .image img {
    }

    .catalog-flex .col-image .image {
        text-align: center;
        width: 100%;
        margin: 20px auto;
    }

    .catalog-flex .col-text .description {
        margin-top: 20px;
    }

    .catalog-flex .col-text .ask-price {
        padding-top: 30px;
    }

    .catalog-flex .col-text .ask-price a,
    .catalog-flex .col-text .ask-price a.gradient-button,
    .catalog-flex .col-text .ask-price .download-link {
        width: 45%;
        padding: 10px 0;
        text-align: center;
        font-size: 14px;
    }

    .catalog-flex .col-text .ask-price .download-link {
        padding: 9px 0;
        margin-left: 5%;
    }

    .catalog-flex .first_type_images, .catalog-flex .second_type_images {
        margin: 0 auto  ;
    }
}
